users:
  - name: root
    ssh_import_id: gh:aljaxus
    passwd: root
    lock_passwd: false

preserve_hostname: false

growpart:
  mode: auto
  devices: ["/"]
resize_rootfs: true

ssh_deletekeys: true
disable_root: false
allow_public_ssh_keys: true
ssh_import_id:
  - gh:aljaxus

timezone: Europe/Ljubljana
ntp:
  enabled: true
  ntp_client: chrony

keyboard:
  layout: us

final_message: "Finished cloudinit setup - mic.aljaxus.eu"

cloud_init_modules:
  - migrator
  - seed_random
  - bootcmd
  - write-files
  - growpart
  - resizefs
  - disk_setup
  - mounts
  - set_hostname
  - update_hostname
  - update_etc_hosts
  - ca-certs
  - rsyslog
  - users-groups
  - ssh

cloud_config_modules:
  - ssh-import-id
  - keyboard
  - locale
  - set-passwords
  - ntp
  - timezone
  - disable-ec2-metadata
  - runcmd

cloud_final_modules:
  - package-update-upgrade-install
  - write-files-deferred
  - puppet
  - chef
  - mcollective
  - salt-minion
  - reset_rmc
  - refresh_rmc_and_interface
  - rightscale_userdata
  - scripts-vendor
  - scripts-per-once
  - scripts-per-boot
  - scripts-per-instance
  - scripts-user
  - ssh-authkey-fingerprints
  - keys-to-console
  - install-hotplug
  - final-message
  - power-state-change

system_info:
  distro: arch
  paths:
    cloud_dir: /var/lib/cloud/
    templates_dir: /etc/cloud/templates/
  ssh_svcname: sshd
